
Ruby - Bug #4715

Add some basic tests for Singleton

05/17/2011 07:50 AM - phiggins (Pete Higgins)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 	ruby 1.9.3dev (2011-05-16 trunk

31588) [x86_64-linux]

Backport:  

Description

Per the request over here: http://redmine.ruby-lang.org/issues/4709

I've added some basic tests for Singleton after removing some example code that seemed to function as tests.

Associated revisions

Revision c0d9226f - 05/17/2011 06:15 PM - drbrain (Eric Hodel)

test/test_singleton.rb:  Add tests from lib/singleton.rb.  Patch by

Pete Higgins.  [Ruby 1.9 - Bug #4715]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31614 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 0c9c99ab - 05/31/2011 12:12 AM - yugui (Yuki Sonoda)

merges r31614 from trunk into ruby_1_9_2.

    * test/test_singleton.rb:  Add tests from lib/singleton.rb.  Patch by

      Pete Higgins.  [Ruby 1.9 - Bug #4715]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_2@31836 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/18/2011 03:15 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31614.

Pete, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

test/test_singleton.rb:  Add tests from lib/singleton.rb.  Patch by

Pete Higgins.  [Ruby 1.9 - Bug #4715]

Files

singleton_tests.diff 2.39 KB 05/17/2011 phiggins (Pete Higgins)
